import("stdfaust.lib");

pressure = hslider("v:blower/[0]pressure",0,0,1,0.01) : si.smoo;
breathGain = hslider("v:blower/[1]breathGain",0.1,0,1,0.01)*0.05;
breathCutoff = hslider("v:blower/[2]breathCutoff",2000,20,20000,0.1);
vibratoFreq = hslider("v:blower/[3]vibratoFreq",5,0.1,10,0.1);
vibratoGain = hslider("v:blower/[4]vibratoGain",0.25,0,1,0.01)*0.03;

tubeLength = hslider("v:fluteModel/[0]tubeLength",0.8,0.01,3,0.01) : si.smoo;
mouthPosition = hslider("v:fluteModel/[1]mouthPosition",0.5,0,1,0.01) : si.smoo;
outGain = hslider("v:fluteModel/[2]outGain",0.5,0,1,0.01);

blower_lp = pm.blower(pressure,breathGain,breathCutoff,vibratoFreq,vibratoGain) ;

fluteModel_lp(coco) = pm.fluteModel(tubeLength,mouthPosition,coco)*outGain ;

flute_lp = hgroup("flute",blower_lp : fluteModel_lp);

process = flute_lp;
